using 智慧物流软件系统.ViewModel;
using HandyControl.Controls;
using Ping9719.WpfEx;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace 智慧物流软件系统
{
    /// <summary>
    /// 数据图表
    /// </summary>
    public partial class DataChartView : UserControlBase
    {
        DataChartViewModel viewModel = new DataChartViewModel();
        public DataChartView()
        {
            InitializeComponent();
            this.DataContext = viewModel;
        }

        //第一次加载
        private void loadFirst(object sender, EventArgs e)
        {
            if (IsInDesignMode)
                return;

            viewModel.UpdataYear();
        }
    }
}
